Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.common
Class XForm

    java.lang.Object
      org.jbox2d.common.XForm

    public class XForm

extends java.lang.Object

A transform contains translation and rotation. It is used to represent the position and orientation of rigid frames.

Field Summary
`static XForm` | `identity` The identity transform
`Vec2` | `position` The translation caused by the transform
`Mat22` | `R` A matrix representing a rotation

Constructor Summary
`XForm()` The default constructor.
`XForm(Vec2 _position, Mat22 _R)` Initialize using a position vector and a rotation matrix.
`XForm(XForm xf)` Initialize as a copy of another transform.

Method Summary
`static Vec2` | `mul(XForm T, Vec2 v)`
`static Vec2` | `mulT(XForm T, Vec2 v)`
`void` | `set(XForm xf)` Set this to equal another transform.
`void` | `setIdentity()` Set this to the identity transform.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### position

    public Vec2 position

  The translation caused by the transform

### R

    public Mat22 R

  A matrix representing a rotation

### identity

    public static XForm identity

  The identity transform

Constructor Detail

### XForm

    public XForm()

  The default constructor.

### XForm

    public XForm(XForm xf)

  Initialize as a copy of another transform.

### XForm

    public XForm(Vec2 _position,
                 Mat22 _R)

  Initialize using a position vector and a rotation matrix.

Method Detail

### set

    public void set(XForm xf)

  Set this to equal another transform.

### setIdentity

    public void setIdentity()

  Set this to the identity transform.

### mul

    public static Vec2 mul(XForm T,
                           Vec2 v)

### mulT

    public static Vec2 mulT(XForm T,
                            Vec2 v)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD